<!DOCTYPE html>
<html lang="en">
	<head>
		<%= render :partial => 'layouts/head_common' %>
		<%= render :partial => 'layouts/twitter_card' %>
		<link href="<%= opensearch_catalog_path(:format => 'xml', :only_url => false) %>" title="<%= application_name%>" type="application/opensearchdescription+xml" rel="search"/>

        <script src="https://content.jwplatform.com/libraries/uS59kPRL.js"></script>
        <script src="https://library.ucsd.edu/jwplayer/key.js"></script>
        <% mapquest_key = ENV.fetch('APPS_DHH_MAPQUEST_KEY') {'zrnNkNZDkELMvViepTqFjZP8bEKxjDaG' if Rails.env.development? || Rails.env.test?}%>
        <script src="https://www.mapquestapi.com/sdk/leaflet/v2.2/mq-map.js?key=<%= mapquest_key%>"></script>

		<%= render :partial => 'layouts/sitetrackings' if Rails.env.production? %>
		<% if @document != nil && @document.instance_of?(SolrDocument) %>
			<%= auto_discovery_link_tag :rss, {:format =>"json"}, :title=>'JSON', :type=> 'application/json' %>
			<% if @document['rdfxml_ssi'] %>
				<%= auto_discovery_link_tag :rss, {:format =>"rdf"}, :title=>'RDF/XML', :type=> 'application/rdf+xml' %>
			<% end %>
		<% end %>
		<% yield :head %>
	</head>

	<% onload_text = "$('input#q').focus();" if params[:q].to_s.empty? and params[:f].to_s.empty? and params[:id].nil? %>

	<body onload="<%= onload_text %>" class="<%= render_body_class %>">

		<%= render :partial => 'layouts/header' %>

		<section id="messages" class="container-fluid">
			<%= render :partial=>'/flash_msg' %>
		</section>

		<section id="main-container" class="container-fluid">
			<%= yield %>
		</section>

		<%= render :partial => 'layouts/footer' %>

	</body>
</html>
